API reference
Brands
GET
The vendor's brands, searchable with q.
Requires the brands:read scope.
apiKey brands:readheader
AuthorizationBearer <token>An API key created in the vendor workspace. Send it as Authorization: Bearer afk_....
Scope: brands:read
q?stringLength
length <= 255page?integerRange
1 <= valueperPage?integerRange
1 <= value <= 100Success
application/json- response
data*array<>metadata*curl -X GET "https://example.com/api/v1/key/brands"{ "data": [ { "provider": { "id": "string", "name": "string", "slug": "string", "status": "pending", "logoUrl": "string" }, "createdAt": "string", "description": "string", "id": "string", "isFeatured": true, "name": "string", "slug": "string", "city": "string", "country": "string", "coverUrl": "string", "logoUrl": "string", "website": "string", "productsCount": 0 } ], "metadata": { "total": 0, "perPage": 0, "currentPage": 0, "lastPage": 0, "firstPage": 0, "firstPageUrl": "string", "lastPageUrl": "string", "nextPageUrl": "string", "previousPageUrl": "string" }}GET
One brand with its translations and links.
Requires the brands:read scope.
apiKey brands:readheader
AuthorizationBearer <token>An API key created in the vendor workspace. Send it as Authorization: Bearer afk_....
Scope: brands:read
id*stringSuccess
application/json- response
data*curl -X GET "https://example.com/api/v1/key/brands/string"{ "data": { "provider": { "id": "string", "name": "string", "slug": "string", "status": "pending", "logoUrl": "string" }, "createdAt": "string", "description": "string", "id": "string", "isFeatured": true, "name": "string", "slug": "string", "translations": {}, "city": "string", "country": "string", "coverUrl": "string", "logoUrl": "string", "website": "string", "productsCount": 0 }}PUT
Edits one of the vendor's brands.
Requires the brands:write scope.
apiKey brands:writeheader
AuthorizationBearer <token>An API key created in the vendor workspace. Send it as Authorization: Bearer afk_....
Scope: brands:write
id*stringapplication/json- body
name?stringLength
1 <= lengthslug?stringLength
length <= 150logoUrl?|Length
length <= 1024coverUrl?|Length
length <= 1024country?string|nullcity?string|nullwebsite?string|nulldescription?string|nulltranslations?unknownSuccess
application/json- response
data*curl -X PUT "https://example.com/api/v1/key/brands/string" \ -H "Content-Type: application/json" \ -d '{}'{ "data": { "provider": { "id": "string", "name": "string", "slug": "string", "status": "pending", "logoUrl": "string" }, "createdAt": "string", "description": "string", "id": "string", "isFeatured": true, "name": "string", "slug": "string", "translations": {}, "city": "string", "country": "string", "coverUrl": "string", "logoUrl": "string", "website": "string", "productsCount": 0 }}